1. Employees
Leadcast Public Api
  • Getting Started
  • Changelog
  • Companies
    • Query all companies
      GET
    • Retrieve a single company
      GET
    • Retrieve job offers for a company
      GET
  • Employees
    • Query all employees
      GET
    • Retrieve a single employee
      GET
    • Retrieve bookings for an employee
      GET
    • Retrieve funnels for an employee
      GET
  • Job Offers
    • Query all job offers
      GET
    • Create
      POST
    • Retrieve a single job offer
      GET
    • Retrieve bookings for a job offer
      GET
    • Retrieve funnels for a job offer
      GET
  • Job Offer Submissions
    • Query all job offer submissions
      GET
    • Retrieve a single job offer submission
      GET
    • Retrieve bookings for a job offer submission
      GET
  • Mapping
    • Maps resources to an external id
      PUT
  • Resource Bookings
    • Query all resource bookings
      GET
    • Retrieve a single resource booking
      GET
  • Schemas
    • Candidate
    • JobOffer
    • CompanyReference
    • ProblemDetails
    • Employee
    • CompanyReference2
    • CompanyReference3
    • Gender
    • EmployeeReference
    • CompanyReference4
    • JobOfferReference
    • JobOfferSubmission
    • CompanyReference5
    • KeysetPagedResultOfEmployee
    • KeysetPagedResultOfJobOffer
    • File
    • JobOfferReference2
    • KeysetPagedResultOfJobOfferSubmission
    • EmployeeReference2
    • JobOfferSubmissionReference
    • MapResourceRequest
    • JobOfferSubmissionStatusDate
    • User
    • JobOfferCandidateFeedback
    • JobOfferCandidateFeedbackOption
    • KeysetPagedResultOfResourceBooking
    • KeysetPagedResultOfCompany
    • ResourceBooking
    • ResourceRequirement
    • JobOfferReference3
    • KeysetPagedResultOfJobOfferFunnel
    • SyncEntry
    • UserReference
    • UserReference2
    • Company
    • Member
  1. Employees

Query all employees

GET
{{baseUrl}}/api/public/employees
Query a paged collection of employees.

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://demo.leadcast.nl/api/public/employees?First&Last&After&Before&Limit&Filter=Field eq "value"&Sort=Field asc&culture' \
--header 'Accept-Language;' \
--header 'x-api-key: <api-key>'

Responses

🟢200OK
application/json
OK
Body

Example
{
    "_links": {
        "property1": "string",
        "property2": "string"
    },
    "offset": 0,
    "total": 0,
    "items": [
        {
            "createdOn": "2019-08-24T14:15:22.123Z",
            "modifiedOn": "2019-08-24T14:15:22.123Z",
            "type": "string",
            "firstName": "string",
            "middleName": "string",
            "surname": "string",
            "initials": "string",
            "fullName": "string",
            "gender": "Unknown",
            "email": "string",
            "phone": "string",
            "birthDate": "2019-08-24T14:15:22.123Z",
            "description": "string",
            "ambition": "string",
            "hobbiesAndInterests": "string",
            "additionalActivities": "string",
            "internalHourRate": 0,
            "commercialHourRate": 0,
            "skills": {
                "property1": [
                    "string"
                ],
                "property2": [
                    "string"
                ]
            },
            "occupations": [
                "string"
            ],
            "disciplines": [
                "string"
            ],
            "labels": [
                "string"
            ],
            "members": [
                {
                    "type": "string",
                    "fullName": "string",
                    "email": "string",
                    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                    "external": {
                        "property1": "string",
                        "property2": "string"
                    },
                    "customFields": {}
                }
            ],
            "files": [
                {
                    "type": "string",
                    "contentType": "string",
                    "contentLength": 0,
                    "subType": "string",
                    "fileId": "a1c6a2ab-4b01-4253-b4c9-70e04b3b48fc",
                    "fileName": "string",
                    "fileUrl": "string",
                    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                    "external": {
                        "property1": "string",
                        "property2": "string"
                    },
                    "customFields": {}
                }
            ],
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "external": {
                "property1": "string",
                "property2": "string"
            },
            "customFields": {}
        }
    ]
}
🟠400Bad Request
🔴500Internal Server Error
Modified at 2026-03-11 23:20:04
Previous
Retrieve job offers for a company
Next
Retrieve a single employee
Built with